org.codehaus.plexus.component.builder

## Interface ComponentBuildListener

All Known Implementing Classes:
  AbstractComponentBuildListener

    public interface ComponentBuildListener

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `beforeComponentCreate(ComponentDescriptor<?> componentDescriptor, org.codehaus.plexus.classworlds.realm.ClassRealm realm)`
`void` `componentConfigured(ComponentDescriptor<?> componentDescriptor, java.lang.Object component, org.codehaus.plexus.classworlds.realm.ClassRealm realm)`
`void` `componentCreated(ComponentDescriptor<?> componentDescriptor, java.lang.Object component, org.codehaus.plexus.classworlds.realm.ClassRealm realm)`

### Method Detail

#### beforeComponentCreate

    void beforeComponentCreate(ComponentDescriptor<?> componentDescriptor,
                               org.codehaus.plexus.classworlds.realm.ClassRealm realm)

#### componentCreated

    void componentCreated(ComponentDescriptor<?> componentDescriptor,
                          java.lang.Object component,
                          org.codehaus.plexus.classworlds.realm.ClassRealm realm)

#### componentConfigured

    void componentConfigured(ComponentDescriptor<?> componentDescriptor,
                             java.lang.Object component,
                             org.codehaus.plexus.classworlds.realm.ClassRealm realm)